Inicio / Alerta Temprana / Avisos Sci / Desbordamiento de búfer basado en pila en WebAccess/SCADA de Advantech

Desbordamiento de búfer basado en pila en WebAccess/SCADA de Advantech

Fecha de publicación: 
12/12/2019
Importancia: 
5 - Crítica
Recursos afectados: 

Advantech WebAccess/SCADA, versión 8.4.2

Descripción: 

Tenable ha descubierto una vulnerabilidad del tipo de desbordamiento de búfer en pila (stack). Un atacante remoto, sin autenticar, podría enviar una gran cantidad de datos para desbordar el búfer de la pila (stack).

Solución: 

Actualizar a la versión 8.4.3.

Detalle: 

Durante el desarrollo de un plugin de Nessus para detectar la vulnerabilidad identificada con CVE-2019-3975, Tenable encontró otra vulnerabilidad de desbordamiento de pila remota, no autenticada, en la versión 8.4.2 del producto Advantech WebAccess/SCADA. El fallo tiene lugar en la función LogInfoFormat de BwPAlarm.dll, debido a la validación incorrecta de los datos suministrados por el usuario antes de copiarlos a un búfer de pila de tamaño fijo, cuando se procesa un mensaje IOCTL 70533 RPC. Se ha reservado el identificador CVE-2019-3951 para esta vulnerabilidad.

Encuesta valoración